<p>Open your hypervisor and set up your VM. You can use this example for reference or use your own hypervisor instructions.</p>

{{- if eq (.Get "hypervisor") "kvm" -}}
    <details><summary>KVM Example Configuration</summary>

    <p>This example shows the VM setup process for a system with Libvirt and KVM/QEMU installed.</p>

    {{- if eq (.Get "version") "2.4.1" -}}

    {{- if eq (.Get "deployment") "onprem" -}}

    <ol>
        <li>
            <p>Confirm that the SHA256 checksum matches the one posted on the Cumulus Downloads website to ensure the image download has not been corrupted.</p>
            <pre>$ sha256sum ./Downloads/cumulus-netq-server-2.4.1-ts-amd64-qemu.qcow2<br>$ E93617F1DB5AB3BA597B0EC0C9CFE4CB5AA435245BF62A04769D2A806DA12BE7  ./Downloads/cumulus-netq-server-2.4.1-ts-amd64-qemu.qcow2</pre>
        </li>
        <li>Copy the QCOW2 image to a directory where you want to run it.
            <p><strong>Tip</strong>: Copy, instead of moving, the original QCOW2 image that was downloaded to avoid re-downloading it again later should you need to perform this process again.</p>
            <pre>$ sudo mkdir /vms<br>$ sudo cp ./Downloads/cumulus-netq-server-2.4.1-ts-amd64-qemu.qcow2 /vms/ts.qcow2</pre>
        </li>
        <li>Create the VM.
            <p>For a Direct VM, where the VM uses a MACVLAN interface to sit on the host interface for its connectivity:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=8 --memory=65536 --os-type=linux --os-variant=generic --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=type=direct,source=eth0,model=virtio -import --noautoconsole</pre>

            <div class="notices note"><p>Replace the disk path value with the location where the QCOW2 image is to reside. Replace network model value (eth0 in the above example) with the name of the interface where the VM is connected to the external network.</p></div>

            <p>Or, for a Bridged VM, where the VM attaches to a bridge which has already been setup to allow for external access:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=8 --memory=65536 --os-type=linux --os-variant=generic \ --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=bridge=br0,model=virtio --import --noautoconsole</pre>

            <div class="notices note"><p>Replace network bridge value (br0 in the above example) with the name of the (pre-existing) bridge interface where the VM is connected to the external network.</p></div>

            <div class="notices tip"><p>Make note of the name used during install as this is needed in a later step.</p></div>
        </li>
        <li>Watch the boot process in another terminal window.
            <pre>$ virsh console netq_ts</pre>
        </li>
    </ol>

    {{ end }}

    {{- if eq (.Get "deployment") "cloud" -}}

    <ol>
        <li>
            <p>Confirm that the SHA256 checksum matches the one posted on the Cumulus Downloads website to ensure the image download has not been corrupted.</p>
            <pre>$ sha256sum ./Downloads/cumulus-netq-server-2.4.1-ts-amd64-qemu.qcow2<br>$ 383E976F1A0572B9556B3A93FC790222C3A278CA04D96360AC9F3878704F4371  ./Downloads/cumulus-netq-server-2.4.1-ts-amd64-qemu.qcow2</pre>
        </li>
        <li>Copy the QCOW2 image to a directory where you want to run it.
            <p><strong>Tip</strong>: Copy, instead of moving, the original QCOW2 image that was downloaded to avoid re-downloading it again later should you need to perform this process again.</p>
            <pre>$ sudo mkdir /vms<br>$ sudo cp ./Downloads/cumulus-netq-server-2.4.1-ts-amd64-qemu.qcow2 /vms/ts.qcow2</pre>
        </li>
        <li>Create the VM.
            <p>For a Direct VM, where the VM uses a MACVLAN interface to sit on the host interface for its connectivity:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=4 --memory=8192 --os-type=linux --os-variant=generic --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=type=direct,source=eth0,model=virtio -import --noautoconsole</pre>

            <div class="notices note"><p>Replace the disk path value with the location where the QCOW2 image is to reside. Replace network model value (eth0 in the above example) with the name of the interface where the VM is connected to the external network.</p></div>

            <p>Or, for a Bridged VM, where the VM attaches to a bridge which has already been setup to allow for external access:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=4 --memory=8192 --os-type=linux --os-variant=generic \ --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=bridge=br0,model=virtio --import --noautoconsole</pre>

            <div class="notices note"><p>Replace network bridge value (br0 in the above example) with the name of the (pre-existing) bridge interface where the VM is connected to the external network.</p></div>

            <div class="notices tip"><p>Make note of the name used during install as this is needed in a later step.</p></div>
        </li>
        <li>Watch the boot process in another terminal window.
            <pre>$ virsh console netq_ts</pre>
        </li>
    </ol>

    {{ end }}

    {{ end }}

    {{- if eq (.Get "version") "3.0.0" -}}

    {{- if eq (.Get "deployment") "onprem" -}}

    <ol>
        <li>
            <p>Confirm that the SHA256 checksum matches the one posted on the Cumulus Downloads website to ensure the image download has not been corrupted.</p>
            <pre>$ sha256sum ./Downloads/cumulus-netq-server-3.0.0-ts-amd64-qemu.qcow2<br>$ 58EC6D6B4F2C6D377B3CD7C6E36792C6E2C89B06069561C50F316EA01F8A2ED2  ./Downloads/cumulus-netq-server-3.0.0-ts-amd64-qemu.qcow2</pre>
        </li>
        <li>Copy the QCOW2 image to a directory where you want to run it.
            <p><strong>Tip</strong>: Copy, instead of moving, the original QCOW2 image that was downloaded to avoid re-downloading it again later should you need to perform this process again.</p>
            <pre>$ sudo mkdir /vms<br>$ sudo cp ./Downloads/cumulus-netq-server-3.0.0-ts-amd64-qemu.qcow2 /vms/ts.qcow2</pre>
        </li>
        <li>Create the VM.
            <p>For a Direct VM, where the VM uses a MACVLAN interface to sit on the host interface for its connectivity:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=8 --memory=65536 --os-type=linux --os-variant=generic --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=type=direct,source=eth0,model=virtio -import --noautoconsole</pre>

            <div class="notices note"><p>Replace the disk path value with the location where the QCOW2 image is to reside. Replace network model value (eth0 in the above example) with the name of the interface where the VM is connected to the external network.</p></div>

            <p>Or, for a Bridged VM, where the VM attaches to a bridge which has already been setup to allow for external access:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=8 --memory=65536 --os-type=linux --os-variant=generic \ --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=bridge=br0,model=virtio --import --noautoconsole</pre>

            <div class="notices note"><p>Replace network bridge value (br0 in the above example) with the name of the (pre-existing) bridge interface where the VM is connected to the external network.</p></div>

            <div class="notices tip"><p>Make note of the name used during install as this is needed in a later step.</p></div>
        </li>
        <li>Watch the boot process in another terminal window.
            <pre>$ virsh console netq_ts</pre>
        </li>
    </ol>

    {{ end }}

    {{- if eq (.Get "deployment") "cloud" -}}

    <ol>
        <li>
            <p>Confirm that the SHA256 checksum matches the one posted on the Cumulus Downloads website to ensure the image download has not been corrupted.</p>
            <pre>$ sha256sum ./Downloads/cumulus-netq-server-3.0.0-ts-amd64-qemu.qcow2<br>$ 599C3AA617937156D38A2205B4D111F83EBCFD63EDA7A791060375B30CB1DA90  ./Downloads/cumulus-netq-server-3.0.0-ts-amd64-qemu.qcow2</pre>
        </li>
        <li>Copy the QCOW2 image to a directory where you want to run it.
            <p><strong>Tip</strong>: Copy, instead of moving, the original QCOW2 image that was downloaded to avoid re-downloading it again later should you need to perform this process again.</p>
            <pre>$ sudo mkdir /vms<br>$ sudo cp ./Downloads/cumulus-netq-server-3.0.0-ts-amd64-qemu.qcow2 /vms/ts.qcow2</pre>
        </li>
        <li>Create the VM.
            <p>For a Direct VM, where the VM uses a MACVLAN interface to sit on the host interface for its connectivity:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=4 --memory=8192 --os-type=linux --os-variant=generic --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=type=direct,source=eth0,model=virtio -import --noautoconsole</pre>

            <div class="notices note"><p>Replace the disk path value with the location where the QCOW2 image is to reside. Replace network model value (eth0 in the above example) with the name of the interface where the VM is connected to the external network.</p></div>

            <p>Or, for a Bridged VM, where the VM attaches to a bridge which has already been setup to allow for external access:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=4 --memory=8192 --os-type=linux --os-variant=generic \ --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=bridge=br0,model=virtio --import --noautoconsole</pre>

            <div class="notices note"><p>Replace network bridge value (br0 in the above example) with the name of the (pre-existing) bridge interface where the VM is connected to the external network.</p></div>

            <div class="notices tip"><p>Make note of the name used during install as this is needed in a later step.</p></div>
        </li>
        <li>Watch the boot process in another terminal window.
            <pre>$ virsh console netq_ts</pre>
        </li>
    </ol>

    {{ end }}

    {{ end }}

    {{- if eq (.Get "version") "3.1.0" -}}

    {{- if eq (.Get "deployment") "onprem" -}}

    <ol>
        <li>
            <p>Confirm that the SHA256 checksum matches the one posted on the Cumulus Downloads website to ensure the image download has not been corrupted.</p>
            <pre>$ sha256sum ./Downloads/cumulus-netq-server-3.1.0-ts-amd64-qemu.qcow2<br>$ 58EC6D6B4F2C6D377B3CD7C6E36792C6E2C89B06069561C50F316EA01F8A2ED2  ./Downloads/cumulus-netq-server-3.1.0-ts-amd64-qemu.qcow2</pre>
        </li>
        <li>Copy the QCOW2 image to a directory where you want to run it.
            <p><strong>Tip</strong>: Copy, instead of moving, the original QCOW2 image that was downloaded to avoid re-downloading it again later should you need to perform this process again.</p>
            <pre>$ sudo mkdir /vms<br>$ sudo cp ./Downloads/cumulus-netq-server-3.1.0-ts-amd64-qemu.qcow2 /vms/ts.qcow2</pre>
        </li>
        <li>Create the VM.
            <p>For a Direct VM, where the VM uses a MACVLAN interface to sit on the host interface for its connectivity:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=8 --memory=65536 --os-type=linux --os-variant=generic --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=type=direct,source=eth0,model=virtio -import --noautoconsole</pre>

            <div class="notices note"><p>Replace the disk path value with the location where the QCOW2 image is to reside. Replace network model value (eth0 in the above example) with the name of the interface where the VM is connected to the external network.</p></div>

            <p>Or, for a Bridged VM, where the VM attaches to a bridge which has already been setup to allow for external access:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=8 --memory=65536 --os-type=linux --os-variant=generic \ --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=bridge=br0,model=virtio --import --noautoconsole</pre>

            <div class="notices note"><p>Replace network bridge value (br0 in the above example) with the name of the (pre-existing) bridge interface where the VM is connected to the external network.</p></div>

            <div class="notices tip"><p>Make note of the name used during install as this is needed in a later step.</p></div>
        </li>
        <li>Watch the boot process in another terminal window.
            <pre>$ virsh console netq_ts</pre>
        </li>
    </ol>

    {{ end }}

    {{- if eq (.Get "deployment") "cloud" -}}

    <ol>
        <li>
            <p>Confirm that the SHA256 checksum matches the one posted on the Cumulus Downloads website to ensure the image download has not been corrupted.</p>
            <pre>$ sha256sum ./Downloads/cumulus-netq-server-3.1.0-ts-amd64-qemu.qcow2<br>$ 599C3AA617937156D38A2205B4D111F83EBCFD63EDA7A791060375B30CB1DA90  ./Downloads/cumulus-netq-server-3.1.0-ts-amd64-qemu.qcow2</pre>
        </li>
        <li>Copy the QCOW2 image to a directory where you want to run it.
            <p><strong>Tip</strong>: Copy, instead of moving, the original QCOW2 image that was downloaded to avoid re-downloading it again later should you need to perform this process again.</p>
            <pre>$ sudo mkdir /vms<br>$ sudo cp ./Downloads/cumulus-netq-server-3.1.0-ts-amd64-qemu.qcow2 /vms/ts.qcow2</pre>
        </li>
        <li>Create the VM.
            <p>For a Direct VM, where the VM uses a MACVLAN interface to sit on the host interface for its connectivity:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=4 --memory=8192 --os-type=linux --os-variant=generic --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=type=direct,source=eth0,model=virtio -import --noautoconsole</pre>

            <div class="notices note"><p>Replace the disk path value with the location where the QCOW2 image is to reside. Replace network model value (eth0 in the above example) with the name of the interface where the VM is connected to the external network.</p></div>

            <p>Or, for a Bridged VM, where the VM attaches to a bridge which has already been setup to allow for external access:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=4 --memory=8192 --os-type=linux --os-variant=generic \ --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=bridge=br0,model=virtio --import --noautoconsole</pre>

            <div class="notices note"><p>Replace network bridge value (br0 in the above example) with the name of the (pre-existing) bridge interface where the VM is connected to the external network.</p></div>

            <div class="notices tip"><p>Make note of the name used during install as this is needed in a later step.</p></div>
        </li>
        <li>Watch the boot process in another terminal window.
            <pre>$ virsh console netq_ts</pre>
        </li>
    </ol>

    {{ end }}

    {{ end }}

    {{- if eq (.Get "version") "3.2.0" -}}

    {{- if eq (.Get "deployment") "onprem" -}}

    <ol>
        <li>
            <p>Confirm that the SHA256 checksum matches the one posted on the Cumulus Downloads website to ensure the image download has not been corrupted.</p>
            <pre>$ sha256sum ./Downloads/netq-3.2.0-ubuntu-18.04-ts-qemu.qcow2<br>$ 7772531F02B932B0B35CA74E710341BEC6428CD2B089A3C3C6EFE25D2F668AD5  ./Downloads/netq-3.2.0-ubuntu-18.04-ts-qemu.qcow2</pre>
        </li>
        <li>Copy the QCOW2 image to a directory where you want to run it.
            <p><strong>Tip</strong>: Copy, instead of moving, the original QCOW2 image that was downloaded to avoid re-downloading it again later should you need to perform this process again.</p>
            <pre>$ sudo mkdir /vms<br>$ sudo cp ./Downloads/netq-3.2.0-ubuntu-18.04-ts-qemu.qcow2 /vms/ts.qcow2</pre>
        </li>
        <li>Create the VM.
            <p>For a Direct VM, where the VM uses a MACVLAN interface to sit on the host interface for its connectivity:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=8 --memory=65536 --os-type=linux --os-variant=generic --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=type=direct,source=eth0,model=virtio -import --noautoconsole</pre>

            <div class="notices note"><p>Replace the disk path value with the location where the QCOW2 image is to reside. Replace network model value (eth0 in the above example) with the name of the interface where the VM is connected to the external network.</p></div>

            <p>Or, for a Bridged VM, where the VM attaches to a bridge which has already been setup to allow for external access:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=8 --memory=65536 --os-type=linux --os-variant=generic \ --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=bridge=br0,model=virtio --import --noautoconsole</pre>

            <div class="notices note"><p>Replace network bridge value (br0 in the above example) with the name of the (pre-existing) bridge interface where the VM is connected to the external network.</p></div>

            <div class="notices tip"><p>Make note of the name used during install as this is needed in a later step.</p></div>
        </li>
        <li>Watch the boot process in another terminal window.
            <pre>$ virsh console netq_ts</pre>
        </li>
    </ol>

    {{ end }}

    {{- if eq (.Get "deployment") "cloud" -}}

    <ol>
        <li>
            <p>Confirm that the SHA256 checksum matches the one posted on the Cumulus Downloads website to ensure the image download has not been corrupted.</p>
            <pre>$ sha256sum ./Downloads/netq-3.2.0-ubuntu-18.04-tscloud-qemu.qcow2<br>$ DDC24C25CD50DF5C6F1C0D7070ACA8317A6C4AB52F3A95EA005BA9777849981E  ./Downloads/netq-3.2.0-ubuntu-18.04-tscloud-qemu.qcow2</pre>
        </li>
        <li>Copy the QCOW2 image to a directory where you want to run it.
            <p><strong>Tip</strong>: Copy, instead of moving, the original QCOW2 image that was downloaded to avoid re-downloading it again later should you need to perform this process again.</p>
            <pre>$ sudo mkdir /vms<br>$ sudo cp ./Downloads/netq-3.2.0-ubuntu-18.04-tscloud-qemu.qcow2 /vms/ts.qcow2</pre>
        </li>
        <li>Create the VM.
            <p>For a Direct VM, where the VM uses a MACVLAN interface to sit on the host interface for its connectivity:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=4 --memory=8192 --os-type=linux --os-variant=generic --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=type=direct,source=eth0,model=virtio -import --noautoconsole</pre>

            <div class="notices note"><p>Replace the disk path value with the location where the QCOW2 image is to reside. Replace network model value (eth0 in the above example) with the name of the interface where the VM is connected to the external network.</p></div>

            <p>Or, for a Bridged VM, where the VM attaches to a bridge which has already been setup to allow for external access:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=4 --memory=8192 --os-type=linux --os-variant=generic \ --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=bridge=br0,model=virtio --import --noautoconsole</pre>

            <div class="notices note"><p>Replace network bridge value (br0 in the above example) with the name of the (pre-existing) bridge interface where the VM is connected to the external network.</p></div>

            <div class="notices tip"><p>Make note of the name used during install as this is needed in a later step.</p></div>
        </li>
        <li>Watch the boot process in another terminal window.
            <pre>$ virsh console netq_ts</pre>
        </li>
    </ol>

    {{ end }}

    {{ end }}

    {{- if eq (.Get "version") "3.2.1" -}}

    {{- if eq (.Get "deployment") "onprem" -}}

    <ol>
        <li>
            <p>Confirm that the SHA256 checksum matches the one posted on the Cumulus Downloads website to ensure the image download has not been corrupted.</p>
            <pre>$ sha256sum ./Downloads/netq-3.2.1-ubuntu-18.04-ts-qemu.qcow2<br>$ F4EF2B16C41EBF92ECCECD0A6094A49EB30AD59508F027B18B9DDAE7E57F0A6F  ./Downloads/netq-3.2.1-ubuntu-18.04-ts-qemu.qcow2</pre>
        </li>
        <li>Copy the QCOW2 image to a directory where you want to run it.
            <p><strong>Tip</strong>: Copy, instead of moving, the original QCOW2 image that was downloaded to avoid re-downloading it again later should you need to perform this process again.</p>
            <pre>$ sudo mkdir /vms<br>$ sudo cp ./Downloads/netq-3.2.1-ubuntu-18.04-ts-qemu.qcow2 /vms/ts.qcow2</pre>
        </li>
        <li>Create the VM.
            <p>For a Direct VM, where the VM uses a MACVLAN interface to sit on the host interface for its connectivity:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=8 --memory=65536 --os-type=linux --os-variant=generic --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=type=direct,source=eth0,model=virtio -import --noautoconsole</pre>

            <div class="notices note"><p>Replace the disk path value with the location where the QCOW2 image is to reside. Replace network model value (eth0 in the above example) with the name of the interface where the VM is connected to the external network.</p></div>

            <p>Or, for a Bridged VM, where the VM attaches to a bridge which has already been setup to allow for external access:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=8 --memory=65536 --os-type=linux --os-variant=generic \ --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=bridge=br0,model=virtio --import --noautoconsole</pre>

            <div class="notices note"><p>Replace network bridge value (br0 in the above example) with the name of the (pre-existing) bridge interface where the VM is connected to the external network.</p></div>

            <div class="notices tip"><p>Make note of the name used during install as this is needed in a later step.</p></div>
        </li>
        <li>Watch the boot process in another terminal window.
            <pre>$ virsh console netq_ts</pre>
        </li>
    </ol>

    {{ end }}

    {{- if eq (.Get "deployment") "cloud" -}}

    <ol>
        <li>
            <p>Confirm that the SHA256 checksum matches the one posted on the Cumulus Downloads website to ensure the image download has not been corrupted.</p>
            <pre>$ sha256sum ./Downloads/netq-3.2.1-ubuntu-18.04-tscloud-qemu.qcow2<br>$ DDC24C25CD50DF5C6F1C0D7070ACA8317A6C4AB52F3A95EA005BA9777849981E  ./Downloads/netq-3.2.1-ubuntu-18.04-tscloud-qemu.qcow2</pre>
        </li>
        <li>Copy the QCOW2 image to a directory where you want to run it.
            <p><strong>Tip</strong>: Copy, instead of moving, the original QCOW2 image that was downloaded to avoid re-downloading it again later should you need to perform this process again.</p>
            <pre>$ sudo mkdir /vms<br>$ sudo cp ./Downloads/netq-3.2.1-ubuntu-18.04-tscloud-qemu.qcow2 /vms/ts.qcow2</pre>
        </li>
        <li>Create the VM.
            <p>For a Direct VM, where the VM uses a MACVLAN interface to sit on the host interface for its connectivity:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=4 --memory=8192 --os-type=linux --os-variant=generic --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=type=direct,source=eth0,model=virtio -import --noautoconsole</pre>

            <div class="notices note"><p>Replace the disk path value with the location where the QCOW2 image is to reside. Replace network model value (eth0 in the above example) with the name of the interface where the VM is connected to the external network.</p></div>

            <p>Or, for a Bridged VM, where the VM attaches to a bridge which has already been setup to allow for external access:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=4 --memory=8192 --os-type=linux --os-variant=generic \ --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=bridge=br0,model=virtio --import --noautoconsole</pre>

            <div class="notices note"><p>Replace network bridge value (br0 in the above example) with the name of the (pre-existing) bridge interface where the VM is connected to the external network.</p></div>

            <div class="notices tip"><p>Make note of the name used during install as this is needed in a later step.</p></div>
        </li>
        <li>Watch the boot process in another terminal window.
            <pre>$ virsh console netq_ts</pre>
        </li>
    </ol>

    {{ end }}

    {{ end }}

    {{- if eq (.Get "version") "3.3.0" -}}

    {{- if eq (.Get "deployment") "onprem" -}}

    <ol>
        <li>
            <p>Confirm that the SHA256 checksum matches the one posted on the Cumulus Downloads website to ensure the image download has not been corrupted.</p>
            <pre>$ sha256sum ./Downloads/netq-3.3.0-ubuntu-18.04-ts-qemu.qcow2<br>$ F4EF2B16C41EBF92ECCECD0A6094A49EB30AD59508F027B18B9DDAE7E57F0A6F  ./Downloads/netq-3.3.0-ubuntu-18.04-ts-qemu.qcow2</pre>
        </li>
        <li>Copy the QCOW2 image to a directory where you want to run it.
            <p><strong>Tip</strong>: Copy, instead of moving, the original QCOW2 image that was downloaded to avoid re-downloading it again later should you need to perform this process again.</p>
            <pre>$ sudo mkdir /vms<br>$ sudo cp ./Downloads/netq-3.3.0-ubuntu-18.04-ts-qemu.qcow2 /vms/ts.qcow2</pre>
        </li>
        <li>Create the VM.
            <p>For a Direct VM, where the VM uses a MACVLAN interface to sit on the host interface for its connectivity:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=8 --memory=65536 --os-type=linux --os-variant=generic --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=type=direct,source=eth0,model=virtio -import --noautoconsole</pre>

            <div class="notices note"><p>Replace the disk path value with the location where the QCOW2 image is to reside. Replace network model value (eth0 in the above example) with the name of the interface where the VM is connected to the external network.</p></div>

            <p>Or, for a Bridged VM, where the VM attaches to a bridge which has already been setup to allow for external access:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=8 --memory=65536 --os-type=linux --os-variant=generic \ --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=bridge=br0,model=virtio --import --noautoconsole</pre>

            <div class="notices note"><p>Replace network bridge value (br0 in the above example) with the name of the (pre-existing) bridge interface where the VM is connected to the external network.</p></div>

            <div class="notices tip"><p>Make note of the name used during install as this is needed in a later step.</p></div>
        </li>
        <li>Watch the boot process in another terminal window.
            <pre>$ virsh console netq_ts</pre>
        </li>
    </ol>

    {{ end }}

    {{- if eq (.Get "deployment") "cloud" -}}

    <ol>
        <li>
            <p>Confirm that the SHA256 checksum matches the one posted on the Cumulus Downloads website to ensure the image download has not been corrupted.</p>
            <pre>$ sha256sum ./Downloads/netq-3.3.0-ubuntu-18.04-tscloud-qemu.qcow2<br>$ DDC24C25CD50DF5C6F1C0D7070ACA8317A6C4AB52F3A95EA005BA9777849981E  ./Downloads/netq-3.3.0-ubuntu-18.04-tscloud-qemu.qcow2</pre>
        </li>
        <li>Copy the QCOW2 image to a directory where you want to run it.
            <p><strong>Tip</strong>: Copy, instead of moving, the original QCOW2 image that was downloaded to avoid re-downloading it again later should you need to perform this process again.</p>
            <pre>$ sudo mkdir /vms<br>$ sudo cp ./Downloads/netq-3.3.0-ubuntu-18.04-tscloud-qemu.qcow2 /vms/ts.qcow2</pre>
        </li>
        <li>Create the VM.
            <p>For a Direct VM, where the VM uses a MACVLAN interface to sit on the host interface for its connectivity:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=4 --memory=8192 --os-type=linux --os-variant=generic --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=type=direct,source=eth0,model=virtio -import --noautoconsole</pre>

            <div class="notices note"><p>Replace the disk path value with the location where the QCOW2 image is to reside. Replace network model value (eth0 in the above example) with the name of the interface where the VM is connected to the external network.</p></div>

            <p>Or, for a Bridged VM, where the VM attaches to a bridge which has already been setup to allow for external access:</p>

            <pre>$ virt-install --name=netq_ts --vcpus=4 --memory=8192 --os-type=linux --os-variant=generic \ --disk path=/vms/ts.qcow2,format=qcow2,bus=virtio,cache=none --network=bridge=br0,model=virtio --import --noautoconsole</pre>

            <div class="notices note"><p>Replace network bridge value (br0 in the above example) with the name of the (pre-existing) bridge interface where the VM is connected to the external network.</p></div>

            <div class="notices tip"><p>Make note of the name used during install as this is needed in a later step.</p></div>
        </li>
        <li>Watch the boot process in another terminal window.
            <pre>$ virsh console netq_ts</pre>
        </li>
    </ol>

    {{ end }}

    {{ end }}

{{ end }}

{{- if eq (.Get "hypervisor") "vmware" -}}
    <details><summary>VMware Example Configuration</summary>

    This example shows the VM setup process using an OVA file with VMware ESXi.

    <ol>
        <li><p>Enter the address of the hardware in your browser.</p></li>
        <li><p>Log in to VMware using credentials with root access.</p>

        <p><img src="/images/netq/vmw-main-page.png" width="700" ></p></li>

        <li><p>Click <strong>Storage</strong> in the Navigator to verify you have an SSD installed.</p>

            <p><img src="/images/netq/vmw-verify-storage.png" width="700" ></p></li>

        <li><p>Click <strong>Create/Register VM</strong> at the top of the right pane.</p>

            <p><img src="/images/netq/vmw-menu-create-register.png" width="700" ></p></li>

        <li><p>Select <strong>Deploy a virtual machine from an OVF or OVA file</strong>, and click <strong>Next</strong>. </p>

            <p><img src="/images/netq/vmw-deploy-vm-from-ova.png" width="700" ></p></li>

        <li><p>Provide a name for the VM, for example <em>Cumulus NetQ</em>.</p>
        <p><strong>Tip</strong>: Make note of the name used during install as this is needed in a later step.</p></li>

        <li><p>Drag and drop the NetQ Platform image file you downloaded in Step 2 above.</p></li>

        <p><img src="/images/netq/vmw-name-the-vm.png" width="700" ></p></li>

        <li><p>Click <strong>Next</strong>.</p></li>

        <li><p>Select the storage type and data store for the image to use, then click <strong>Next</strong>. In this example, only one is available.</p>

        <p><img src="/images/netq/vmw-select-storage.png" width="700" ></p></li>

        <li><p>Accept the default deployment options or modify them according to your network needs. Click <strong>Next</strong> when you are finished.</p>

        <p><img src="/images/netq/vmw-default-deploy-options.png" width="700" ></p></li>

        <li><p>Review the configuration summary. Click <strong>Back</strong> to change any of the settings, or click <strong>Finish</strong> to continue with the creation of the VM.</p>

        <p><img src="/images/netq/vmw-review-before-create.png" width="700" ></p>

        <p>The progress of the request is shown in the Recent Tasks window at the bottom of the application. This may take some time, so continue with your other work until the upload finishes.</p></li>

        <li><p>Once completed, view the full details of the VM and hardware.</p>

        <p><img src="/images/netq/vmw-deploy-results.png" width="700" ></p></li>
    </ol>

    </details>

{{ end }}
